/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   adymo@kdevelop.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "placewidget.h"

#include <qlayout.h>
#include <qpainter.h>

#include "dockwidget.h"

namespace Ideal {

PlaceWidget::PlaceWidget(Orientation orientation, QWidget *parent, const char *name)
    :QSplitter(orientation, parent, name), m_orientation(orientation)
{
//     m_layout = new QHBoxLayout(this, 0, 0); // new QGridLayout(this, 0, 0, 0, 0);
//    m_layout->setAutoAdd(true);
}

PlaceWidget::~PlaceWidget()
{
}

void PlaceWidget::addWidget(DockWidget *w, DockInfo *info)
{
    qWarning("1");
//     m_layout->addWidget(w);
    w->show();
    qWarning("%d %d", w->rect().x(), w->rect().width());
    qWarning("%s", w->parent()->parent()->name());
//    m_layout->addWidget(w, info->layoutInfo.row, info->layoutInfo.col);
//    w->resize(info->geometry.size());
}

}
/*
void Ideal::PlaceWidget::paintEvent( QPaintEvent * ev )
{
    QPainter p(this);
    p.fillRect(rect(), QBrush(QColor(100, 100, 100)));
}*/

#include "placewidget.moc"
