/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   adymo@kdevelop.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "testdw.h"

#include <qlayout.h>
//BEGIN test
#include <qtextedit.h>
//END test


#include "comdefs.h"
#include "dockwidget.h"

TestDW::TestDW(QWidget *parent, const char *name)
 : DockArea(DockArea::Bottom, parent, "testarea")
{
/*    QHBoxLayout *l = new QHBoxLayout(this, 0, 0);
    l->setAutoAdd(true);*/
    
    Ideal::DockWidget *dw = new Ideal::DockWidget(this, Ideal::Bottom, "my_dw");
//BEGIN test
    dw->setWidget(new QTextEdit(this));
//END test
}


TestDW::~TestDW()
{
}


#include "testdw.moc"
