//
// C++ Implementation: mywindow
//
// Description: 
//
//
// Author: Alexander Dymo <adymo@mksat.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "mywindow.h"
#include <qpushbutton.h>
#include <qlayout.h>

MyWindow::MyWindow(QWidget *parent, const char *name)
 : QWidget(parent, name)
{
    mw = new QWidget(0);
    mw->show();
    
    QVBoxLayout *l=new QVBoxLayout(this, 0 ,0);
    l->setAutoAdd(true); 
    
    connect(new QPushButton("Boo", this), SIGNAL(clicked()), this, SLOT(boo()));
    
    te = new QTextEdit(this);
}

MyWindow::~MyWindow()
{
}

void MyWindow::boo( )
{
    static bool b=false;
    if (!b)
    {
        te->reparent(mw, QPoint(0,0), true);
        b = true;
    }
    else
    {
        te->reparent(this, QPoint(0,0), true);
        b = false;
    }
}


#include "mywindow.moc"
