/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   adymo@kdevelop.org                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "mainwin.h"
#include "buttonbar.h"

#include <kdebug.h>

#include <qlayout.h>
#include <qtextedit.h>
#include <qpushbutton.h>
#include <qpainter.h>

MainWin::MainWin(QWidget *parent, const char *name)
 : QWidget(parent, name)
{
    QVBoxLayout *l = new QVBoxLayout(this, 0, 0);
    l->setAutoAdd(true);
   // QPushButton *b = new QPushButton("setPlace", this);
//    new QTextEdit(this);
     bar = new Ideal::ButtonBar(Ideal::Top, Ideal::IconsAndText, this, "top");
     bar->setMode(Ideal::Text);
    bar = new Ideal::ButtonBar(Ideal::Left, Ideal::IconsAndText, this, "left");
     bar->setMode(Ideal::IconsAndText);
//     bar->setAutoResize(false);
//    bar = new Ideal::ButtonBar(Ideal::Left, Ideal::IconsAndText, this);
     bar = new Ideal::ButtonBar(Ideal::Bottom, Ideal::IconsAndText, this, "bottom");
     
     bar->setMode(Ideal::Icons);
     bar->setMode(Ideal::IconsAndText);
     bar->setMode(Ideal::Text);
     bar->setMode(Ideal::IconsAndText);
    
    //connect(b, SIGNAL(clicked()), this, SLOT(setPlace()));

    
 /*   MainWin2 *mw2 = new MainWin2();
    mw2->show();*/
}


MainWin::~MainWin()
{
}

void MainWin::setPlace( )
{
//    kdDebug() << "MainWin::setPlace" << endl;
    
/*    if (bar->place() == Ideal::Bottom)
    {
        bar->setPlace(Ideal::Right);
        return;
    }
    if (bar->place() == Ideal::Right)
    {
        bar->setPlace(Ideal::Top);
        return;
    }
    if (bar->place() == Ideal::Top)
    {
        bar->setPlace(Ideal::Left);
        return;
    }
    if (bar->place() == Ideal::Left)
    {
        bar->setPlace(Ideal::Bottom);
        return;
    }*/
}

void MainWin::paintEvent( QPaintEvent * e )
{
  
}

void MainWin::mouseMoveEvent( QMouseEvent * e )
{
    QPainter p(this);
    
    p.eraseRect(300, 300, 100, 100);
    p.drawText(300, 300, 100, 100, 0, QString("%1 : %2").arg(e->x()).arg(e->y()));    
}

MainWin2::MainWin2( QWidget * parent, const char * name )
:QWidget(parent, name)
{
}

void MainWin2::paintEvent( QPaintEvent * e )
{
    QPainter p(this);
    
    
//    p.setWindow(-width(), -height(), width(), height());
//    p.setViewport(0, 0, width(), height());
    
    QPixmap pm(40, 18);
    pm.fill(eraseColor());
    QPainter p2(&pm);
    p2.drawRect(0, 0, 40, 18);
    p2.drawText(0, 0, 40, 18, 0, "Text");
    
    p.rotate(90);
    p.drawPixmap(0, 1-18, pm);
    
/*    p.drawRect(100, 100, 40, 18);
    p.drawText(100, 100, 40, 18, 0, "Text");

    p.rotate(90);
    p.drawRect(100, 100, 40, 18);
    p.drawText(100, 100, 40, 18, 0, "Text");
  */    
       
/*    p.rotate(90);
    p.drawText(0, 0, -40, 18, 0, "Text");

    p.rotate(90);
    p.drawText(0, 0, 40, 18, 0, "Text");

    p.rotate(90);
    p.drawText(0, 0, 40, 18, 0, "Text");
  */      
/*    QRect r(50, 50, 100, 100);
    QRect r2(50, -50, 100, 100);
    
    p.drawText(r, 0, "Boo");
    p.rotate(90);
    p.drawText(r2, 0, "Boo");*/

/*    QRect r(0, 0, 18, 18);
    QRect r2(0, 0, 18, -18);
    
    p.drawText(r, 0, "T");
    p.rotate(90);
    p.drawText(r2, 0, "T");
    */
}


#include "mainwin.moc"
